          ///////////////////////////////////////////////////////////////////////
          //                                                                   //
          //       SoftSpot Software Component Library                         //
          //       Key Maker software component                                //
          //                                                                   //
          //       Copyright (c) 1996 - 2002 SoftSpot Software Ltd.            //
          //       ALL RIGHTS RESERVED                                         //
          //                                                                   //
          //   The entire contents of this file is protected by U.S. and       //
          //   International Copyright Laws. Unauthorized reproduction,        //
          //   reverse-engineering, and distribution of all or any portion of  //
          //   the code contained in this file is strictly prohibited and may  //
          //   result in severe civil and criminal penalties and will be       //
          //   prosecuted to the maximum extent possible under the law.        //
          //                                                                   //
          //   RESTRICTIONS                                                    //
          //                                                                   //
          //   THE SOURCE CODE CONTAINED WITHIN THIS FILE AND ALL RELATED      //
          //   FILES OR ANY PORTION OF ITS CONTENTS SHALL AT NO TIME BE        //
          //   COPIED, TRANSFERRED, SOLD, DISTRIBUTED, OR OTHERWISE MADE       //
          //   AVAILABLE TO OTHER INDIVIDUALS WITHOUT EXPRESS WRITTEN CONSENT  //
          //   AND PERMISSION FROM SOFTSPOT SOFTWARE LTD.                      //
          //                                                                   //
          //   CONSULT THE END USER LICENSE AGREEMENT FOR INFORMATION ON       //
          //   ADDITIONAL RESTRICTIONS.                                        //
          //                                                                   //
          ///////////////////////////////////////////////////////////////////////
          
unit ajKeyMakerAbout;

{                                     -=< About Box  >=-
{
{ Copyright SoftSpot Software 2002 - All Rights Reserved
{
{ Author        : Andrew J Jameson
{
{ Web site      : www.softspotsoftware.com
{ e-mail        : contact@softspotsoftware.com
{
{ Creation Date : 01 March 2002
{
{ Version       : 1.00
{
{ Description   : A generic about box.                                                             }

interface

uses
  Forms, Windows, StdCtrls, Graphics, Controls, ExtCtrls, Classes;

type
  TfrmAbout = class(TForm)
    btnOK       : TButton;
    imLogo      : TImage;
    imMail      : TImage;
    imPost      : TImage;
    imWeb       : TImage;
    LabelMail   : TLabel;
    LabelWeb    : TLabel;
    lblAddress  : TLabel;
    pnlContact  : TPanel;
    pnlImage    : TPanel;
    procedure FormCreate      (Sender : TObject);
    procedure LabelMailClick  (Sender : TObject);
    procedure LabelWebClick   (Sender : TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses
  ShellAPI;

resourcestring
  HTTP          = 'www.softspotsoftware.com';
  eMailAddress  = 'contact@softspotsoftware.com';

{--------------------------------------------------------------------------------------------------}
{                                        TfrmAbout                                                 }
{--------------------------------------------------------------------------------------------------}

procedure TfrmAbout.FormCreate(Sender : TObject);
begin
  LabelWeb.Caption  := HTTP;
  LabelMail.Caption := eMailAddress;
end; {FormCreate}

{--------------------------------------------------------------------------------------------------}

procedure TfrmAbout.LabelWebClick(Sender : TObject);
begin
  ShellExecute(Application.Handle, 'Open', PChar(HTTP), nil, nil, SW_NORMAL);
end; {LabelWebClick}

{--------------------------------------------------------------------------------------------------}

procedure TfrmAbout.LabelMailClick(Sender : TObject);
begin
  ShellExecute(Application.Handle, 'Open', PChar('mailto:' + eMailAddress + '?Subject= Key Maker Enquiry'), nil, nil, SW_NORMAL);
end; {LabelMailClick}

{--------------------------------------------------------------------------------------------------}
{ajKeyMakerAbout}
end.


